let pin = "";
let pass = "";

$(document).ready(function () {
    FastClick.attach(document.body);
    if(!localStorage.getItem('user')) localStorage.setItem('user', user);
    setEvents();
});

function setEvents() {
    const heartEl = document.querySelector('body > h1 > span');
    
    heartEl.addEventListener('click', function() {
        Swal.fire({
            title: 'Iniciar sesión',
            html:
                '<input id="pass" class="swal2-input" type="password" placeholder="Contraseña">',
            confirmButtonText: 'Login',
            showCloseButton: true,
            showCancelButton: false,
        }).then(async (result) => {
            if(result.isConfirmed) {
                pass = $('#pass').val();
                signIn(user,pass);
            }
        });
    }); 

    $(".btnnum").on("click", function () {
        pin += parseInt($(this).children().html());
        $("#txtPin").text(pin);
    });

    $(".btnCancel").on("click", function () {
        pin = "";
        $("#txtPin").text("ID USUARIO");
    });

    $(".btnOk").on("click", login);

}

function login() {
    $.post({
        urlPath: 'WorkerTimeControls/login',
        jsonData: {pin},
        processData: false,
        success: function (data) {
            localStorage.setItem("userData", JSON.stringify(data));
            window.location = "clockIn.html";
        },
        error: function() {
            $("#txtPin").text("ID USUARIO");
            pin = "";
        }
    });
}

function signIn(user, password) {
    $.post({
        urlPath: 'vnUsers/sign-in',
        jsonData: {user, password},
        processData: false,
        success: function (data) {
            localStorage.setItem("token", data.token);
            localStorage.setItem("ttl", data.ttl);
            localStorage.setItem("password", password);
            localStorage.setItem("created", Date.now());
            getTokenConfig();
        },
    })
}